# Vector_T.h File Reference

`#include "ace/Array.h"`
`#include "ace/Vector_T.inl"`
`#include "ace/Vector_T.cpp"`

Include dependency graph for Vector_T.h:

This graph shows which files directly or indirectly include this file:

## Classes

class | ACE_Vector< T, DEFAULT_SIZE >
| Defines an STL-like vector container. More...
class | ACE_Vector_Iterator< T, DEFAULT_SIZE >
| Implement an iterator over an ACE_Vector. More...

## Variables

ACE_BEGIN_VERSIONED_NAMESPACE_DECL const size_t | ACE_VECTOR_DEFAULT_SIZE = 32

## Detailed Description

Id
  Vector_T.h,v 4.11 2005/10/28 23:55:10 ossama Exp

Author:
  Craig L. Ching <cching@mqsoftware.com>

  Gonzalo Diethelm <gonzalo.diethelm@aditiva.com>

## Variable Documentation

ACE_BEGIN_VERSIONED_NAMESPACE_DECL const size_t ACE_VECTOR_DEFAULT_SIZE = 32`[static]`